For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
      • GETGet your SMS activity aggregated over a period of time
      • GETGet your SMS activity aggregated per day
      • GETGet all your SMS activity (unaggregated events)
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Transactional SMSSMS statistics

Get your SMS activity aggregated per day

GET
https://api.brevo.com/v3/transactionalSMS/statistics/reports
GET
/v3/transactionalSMS/statistics/reports
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalSms.getTransacSmsReport({});
8}
9main();
1{
2 "reports": [
3 {
4 "accepted": 2318,
5 "blocked": 1026,
6 "date": "2017-04-30",
7 "delivered": 10103,
8 "hardBounces": 21,
9 "rejected": 0,
10 "replied": 5091,
11 "requests": 10756,
12 "skipped": 1,
13 "softBounces": 137,
14 "unsubscribed": 720
15 },
16 {
17 "accepted": 4393,
18 "blocked": 1514,
19 "date": "2017-05-01",
20 "delivered": 17499,
21 "hardBounces": 34,
22 "rejected": 0,
23 "replied": 10089,
24 "requests": 18812,
25 "skipped": 0,
26 "softBounces": 254,
27 "unsubscribed": 1090
28 },
29 {
30 "accepted": 4689,
31 "blocked": 1646,
32 "date": "2017-05-02",
33 "delivered": 13427,
34 "hardBounces": 16,
35 "rejected": 0,
36 "replied": 11563,
37 "requests": 14321,
38 "skipped": 1,
39 "softBounces": 176,
40 "unsubscribed": 1170
41 }
42 ]
43}
Retrieve a day-by-day breakdown of your transactional SMS activity, with each entry containing the date and counts for requests, delivered, hard bounces, soft bounces, blocked, unsubscribed, replied, accepted, rejected, and skipped messages. Filter by date range using `startDate` and `endDate` (both required together, YYYY-MM-DD format), by a number of past `days` (not compatible with date range), or by `tag`. Results are sorted in descending order by default unless overridden with the `sort` parameter.
Was this page helpful?
Previous

Get all your SMS activity (unaggregated events)

Next
Built with

Retrieve a day-by-day breakdown of your transactional SMS activity, with each entry containing the date and counts for requests, delivered, hard bounces, soft bounces, blocked, unsubscribed, replied, accepted, rejected, and skipped messages. Filter by date range using startDate and endDate (both required together, YYYY-MM-DD format), by a number of past days (not compatible with date range), or by tag. Results are sorted in descending order by default unless overridden with the sort parameter.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

startDatestringOptional

Mandatory if endDate is used. Starting date (YYYY-MM-DD) of the report

endDatestringOptional

Mandatory if startDate is used. Ending date (YYYY-MM-DD) of the report

dayslongOptional

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

tagstringOptional
Filter on a tag
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

Aggregated SMS report informations
reportslist of objects

Errors

400
Bad Request Error